Skip to main content
GET
/
api
/
banking
/
pending
Get pending bank account transactions
curl --request GET \
  --url https://api.example.com/api/banking/pending \
  --header 'Authorization: <authorization>' \
  --header 'organization-id: <organization-id>'
{
  "pagination": {
    "total": 100,
    "page": 1,
    "pageSize": 10
  },
  "data": [
    {
      "amount": 123,
      "date": {},
      "accountId": 123,
      "pending": true,
      "currencyCode": "<string>",
      "withdrawal": 123,
      "deposit": 123,
      "isDepositTransaction": true,
      "isWithdrawalTransaction": true,
      "formattedAmount": "<string>",
      "formattedDate": "<string>",
      "formattedDepositAmount": "<string>",
      "formattedWithdrawalAmount": "<string>",
      "referenceNo": "<string>",
      "payee": "<string>",
      "description": "<string>",
      "plaidTransactionId": "<string>",
      "recognizedTransactionId": 123
    }
  ]
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Query Parameters

page
number

Page number for pagination

Example:

1

pageSize
number

Number of items per page

Example:

10

accountId
number

Filter by bank account ID

Example:

1

Response

200 - application/json

Returns a list of pending bank account transactions

pagination
object
required

Pagination metadata

data
object[]